
var path = require('path');
var rootDir = path.dirname(require.main.filename);

module.exports = {
  db: {
    user: process.env.API_DB_USER,
    name: process.env.API_DB_NAME,
    pass: process.env.API_DB_PASS,
    host: process.env.API_DB_HOST,
    port: process.env.API_DB_PORT
  },
  server_options: {
    max_request_size: process.env.MAX_REQUEST_SIZE || '50mb',
    debug_mode: process.env.DEBUG_MODE || false,
    use_remote_settings: process.env.USE_REMOTE_SETTINGS || false,
    server_port:  3000,
    user_session_timeout_min: 15,
    user_session_timeout_check_interval: 15,
    session_logging: false,
    access_logging:false,
    log_rotation_period_days: 90,
    server_timeout: null,
    keep_alive_timeout: null,
    headers_timeout:null
  },
  file_locations: {
    "endoints_ext": rootDir+"/json/Endpoints_ext.json",
    "postman_collection": rootDir+"/../postman",
    "readme": rootDir+"/../README.md",
    "settings": rootDir+"/json/Settings.json",
    "models":   rootDir+"/json/Models.json",
    "security": rootDir+"/json/Security.json",
    "endoints": rootDir+"/../node_modules/fully-api/dist/json/Endpoints.json"
  },
  remoteSettingsS3: {
    bucket_name: "",
    bucket_region: ""
  }
};